Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1179711 - (Horde_Idna) Review Request: php-horde-Horde-Idna - IDNA backend normalization package
Review Request: php-horde-Horde-Idna - IDNA backend normalization package
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Shawn Iwinski
:
Depends On: true/punycode
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-07 06:43 EST by Remi Collet
Modified: 2015-01-26 15:14 EST (History)
2 users (show)

See Also:
Fixed In Version: php-horde-Horde-Idna-1.0.1-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-17 00:47:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
phpcompatinfo.log (10.57 KB, text/plain)
2015-01-07 08:07 EST, Shawn Iwinski
no flags Details
fedora-review.txt (7.15 KB, text/plain)
2015-01-07 08:07 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2015-01-07 06:43:09 EST
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/d87fedf00c83548dfed96e54a8161f6617a30ecf/php/horde/php-horde-Horde-Idna/php-horde-Horde-Idna.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-horde-Horde-Idna-1.0.0-1.remi.src.rpm
Description: 
Normalized access to various backends providing IDNA (Internationalized
Domain Names in Applications) support.


Fedora Account System Username: remi


New dependency of Horde
As usually I will clean EL-5 after import
Notice: I prefer to keep CamelCase name for consistency with the >100 existing horde packages.
Comment 1 Shawn Iwinski 2015-01-07 08:07:14 EST
Created attachment 977277 [details]
phpcompatinfo.log

phpcompatinfo version 2.26.0
Comment 2 Shawn Iwinski 2015-01-07 08:07:48 EST
Created attachment 977279 [details]
fedora-review.txt

Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 1179711
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 3 Shawn Iwinski 2015-01-07 08:08:39 EST
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



No blockers.



===== APPROVED =====
Comment 4 Remi Collet 2015-01-07 08:16:41 EST
Thanks again !

New Package SCM Request
=======================
Package Name: php-horde-Horde-Idna
Short Description: IDNA backend normalization package
Upstream URL: http://www.horde.org/
Owners: remi
Branches: f20 f21 el6 epel7
InitialCC:
Comment 5 Gwyn Ciesla 2015-01-07 08:52:30 EST
Git done (by process-git-requests).
Comment 6 Fedora Update System 2015-01-07 09:19:23 EST
php-horde-Horde-Idna-1.0.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-horde-Horde-Idna-1.0.0-1.fc21
Comment 7 Fedora Update System 2015-01-07 09:19:30 EST
php-horde-Horde-Idna-1.0.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-horde-Horde-Idna-1.0.0-1.fc20
Comment 8 Fedora Update System 2015-01-07 09:19:36 EST
php-horde-Horde-Idna-1.0.0-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/php-horde-Horde-Idna-1.0.0-1.el7
Comment 9 Fedora Update System 2015-01-07 09:19:41 EST
php-horde-Horde-Idna-1.0.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-horde-Horde-Idna-1.0.0-1.el6
Comment 10 Fedora Update System 2015-01-07 14:31:09 EST
php-horde-Horde-Idna-1.0.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository.
Comment 11 Fedora Update System 2015-01-17 00:47:40 EST
php-horde-Horde-Idna-1.0.1-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 12 Fedora Update System 2015-01-17 00:48:29 EST
php-horde-Horde-Idna-1.0.1-1.fc21 has been pushed to the Fedora 21 stable repository.
Comment 13 Fedora Update System 2015-01-26 15:09:44 EST
php-horde-Horde-Idna-1.0.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository.
Comment 14 Fedora Update System 2015-01-26 15:14:07 EST
php-horde-Horde-Idna-1.0.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.